﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.OleDb;
using System.Text.RegularExpressions;

namespace gridviewarabuljquery
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        DataTable dt;
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                griddoldur();
            }
           
        }
        private void griddoldur()
        {
            OleDbConnection baglanti = new OleDbConnection("Provider=Microsoft.ACE.OLEDB.12.0; DATA Source=" + Server.MapPath("App_Data/personel.accdb"));
            baglanti.Open();
            //www.aspnetornekleri.com
            string komut = "Select TOP 7 * from personel";
            OleDbDataAdapter dAdapter = new OleDbDataAdapter(komut, baglanti);
            DataSet ds = new DataSet();
            dAdapter.Fill(ds);
            //www.aspnetornekleri.com
            dt = ds.Tables[0];
            GridView1.DataSource = dt;
            GridView1.DataBind();
            baglanti.Close();
        }
        private void AraBul(string straranan)
        {
            lblAlert.Visible = false;
     
            OleDbConnection baglanti = new OleDbConnection("Provider=Microsoft.ACE.OLEDB.12.0; DATA Source=" + Server.MapPath("App_Data/personel.accdb"));
            baglanti.Open();

            string komut = "Select TOP 7 * from personel";
            OleDbDataAdapter dAdapter = new OleDbDataAdapter(komut, baglanti);
            DataSet ds = new DataSet();
            dAdapter.Fill(ds);
            //www.aspnetornekleri.com
            dt = ds.Tables[0];
            DataView dv = new DataView(dt);
            string aranacak = null;
            if (!String.IsNullOrEmpty(straranan))
            {
                aranacak = string.Format("{0} '%{1}%'",
                GridView1.SortExpression, straranan);

            }
            dv.RowFilter = "ADI like" + aranacak;
            if (dv.Count > 0)
            {
                GridView1.DataSource = dv;
                GridView1.DataBind();
             
                Button backbutton = (Button)GridView1.FooterRow.FindControl("btngeri");
                backbutton.Visible = true;
            }
            else
            {
             
                lblAlert.Visible = true;
            }
        }
        //www.aspnetornekleri.com
        protected void GridView1_RowCommand(object sender, GridViewCommandEventArgs e)
        {
            System.Threading.Thread.Sleep(2000);
            if (e.CommandName == "Ara")
            {
                TextBox aranan = (TextBox)GridView1.FooterRow.FindControl("txtara");
                AraBul(aranan.Text);
            }
            else if (e.CommandName == "Geri")
            {
                griddoldur();
            }
        }

        public string Highlight(string InputTxt)
        {
            GridViewRow gvr = GridView1.FooterRow;
            if (gvr != null)
            {
                TextBox txtornek = (TextBox)GridView1.FooterRow.FindControl("txtara");

                if (txtornek.Text != null)
                {
                    string straranan = txtornek.Text;

                    //www.aspnetornekleri.com
                    Regex belirecek = new Regex(straranan.Replace(" ", "|").Trim(),
                                   RegexOptions.IgnoreCase);


             
                    return belirecek.Replace(InputTxt, new MatchEvaluator(belirt));

                }
                else
                    return InputTxt;
            }
            else
            {
                return InputTxt;
            }
        }

        public string belirt(Match m)
        {
            return "<span class='highlight'>" + m.Value + "</span>";
        }
    }

         
    }